Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class AccessControlConfig

    java.lang.Object
      com.bea.dsp.management.beans.AccessControlConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class AccessControlConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

Access control information at the data space level.

See Also:
  Serialized Form

Constructor Summary
`AccessControlConfig()`

Method Summary
`java.lang.String` | `getDataDrivenSecurityQueries()` A string containing all the security xquery functions.
`boolean` | `isEnabled()` Returns `true` if data access control is enabled.
`boolean` | `isEnabledForJDBCMetadata()` Return `true` if metadata access through SQL is allowed.
`void` | `setDataDrivenSecurityQueries(java.lang.String dataDrivenSecurityQueries)`
`void` | `setEnabled(boolean enabled)`
`void` | `setEnabledForJDBCMetadata(boolean enabledForJDBCMetadata)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccessControlConfig

    public AccessControlConfig()

Method Detail

### getDataDrivenSecurityQueries

    public java.lang.String getDataDrivenSecurityQueries()

  A string containing all the security xquery functions. This may be null.

  Returns:
    A string containing all the security xquery functions

### setDataDrivenSecurityQueries

    public void setDataDrivenSecurityQueries(java.lang.String dataDrivenSecurityQueries)

### isEnabled

    public boolean isEnabled()

  Returns `true` if data access control is enabled. If this is disabled then no other data space or data service level security access configuration will work.

  Returns:
    `true` if data access control is enabled

### setEnabled

    public void setEnabled(boolean enabled)

### isEnabledForJDBCMetadata

    public boolean isEnabledForJDBCMetadata()

  Return `true` if metadata access through SQL is allowed.

  Returns:
    `true` if metadata access through SQL is allowed

### setEnabledForJDBCMetadata

    public void setEnabledForJDBCMetadata(boolean enabledForJDBCMetadata)

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.